#
# spec file for package rubygem-facter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-facter
Version:        2.4.6
Release:        7.1
%define mod_name facter
%define mod_full_name %{mod_name}-%{version}
# MANUAL
Requires: rubygem(%{mod_name})
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            https://github.com/puppetlabs/facter
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        %{mod_name}.8
Source2:        gem2rpm.yml
# MANUAL
Patch0:  %{mod_name}-ip-interface.patch
# /MANUAL
Summary:        Facter, a system inventory tool
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
You can prove anything with facts!.

%prep
%gem_unpack
%patch0 -p1
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f
# MANUAL
mkdir -p %{buildroot}%{_sysconfdir}/%{mod_name}/facts.d
install -Dm0444 %{SOURCE1} %{buildroot}%{_mandir}/man8/%{mod_name}.8
# /MANUAL


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{mod_name}
%dir %{_sysconfdir}/%{mod_name}/facts.d
%{_mandir}/man8/%{mod_name}.8.gz

%gem_packages

%changelog
* Wed Jan 27 2016 tampakrap@opensuse.org
- Version bump 2.4.6, see
  http://docs.puppetlabs.com/facter/2.4/release_notes.html#facter-246
* Fri Jan 22 2016 kstreitova@suse.com
- Version bump 2.4.5, see
  http://docs.puppetlabs.com/facter/2.4/release_notes.html#facter-245
* Thu Nov 19 2015 tampakrap@opensuse.org
- Version bump 2.4.4, see
  http://docs.puppetlabs.com/facter/2.4/release_notes.html#facter-244
* Tue Aug 25 2015 dvaleev@suse.com
- Require dmidecode only on Intel architectures
* Mon May 11 2015 tampakrap@opensuse.org
- Version bump 2.4.3, see
  http://docs.puppetlabs.com/facter/2.4/release_notes.html
- Minor update to the IP patch to make it apply with the current codebase
* Tue Jan 20 2015 tampakrap@opensuse.org
- Exclude dmidecode and virt-what from SLE11 because of bnc#911313
* Thu Dec 11 2014 tampakrap@opensuse.org
- Add bind-utils as `host` command seems also to be needed by core facts
* Thu Nov 27 2014 tampakrap@opensuse.org
- Rename from facter to rubygem-facter (using the new ruby packaging schema)
- Add missing Requires, needed for the core facts, as found here:
  https://docs.puppetlabs.com/facter/latest/core_facts.html
- Install manpage and (empty dir) /etc/facter/facts.d
- Version bump 2.3.0:
  * https://docs.puppetlabs.com/facter/2.1/release_notes.html
  * https://docs.puppetlabs.com/facter/2.2/release_notes.html
  * https://docs.puppetlabs.com/facter/2.3/release_notes.html
* Mon Oct  6 2014 kstreitova@suse.com
- use "ip link" instead of "ifconfig" for retrieving interface names
  (facter-ip-interface.patch, fixes bnc#878129)
* Thu Jun 26 2014 vdziewiecki@suse.com
- Update to 2.0.2: fix CVE-2014-3248 (An attacker could convince
  an administrator to unknowingly execute malicious code on platforms
  with Ruby 1.9.1 and earlier)
* Wed Apr  9 2014 mhrusecky@suse.cz
- Facter is now building back from tarballl
- Update to version 2.0.1, see
  * http://docs.puppetlabs.com/facter/1.7/release_notes.html
  * http://docs.puppetlabs.com/facter/2.0/release_notes.html
* Thu Nov  7 2013 vdziewiecki@suse.com
- Facter now builds from a rubygem.
* Thu Oct 24 2013 mrueckert@suse.de
- update to 1.7.3
  Merge pull request #520 from joshcooper/ticket/stable/12116_first_non_nil_dnsdomain
  (#12116) Don't break on the first interface
  Merge remote-tracking branch 'rob/fix/stable/12116_domain_errors_windows' into stable
  (#12116) Windows domain/fqdn error when no domain
  Merge pull request #515 from melissaanne/maint/stable/re-144_rm-hardcoded-dependencies
  (Bug #22163) remove hardcoded hostname dependencies
  Merge pull request #508 from ferventcoder/fix/21738/win_external_facts
  maint: Refactor Key Value Output Parsers
  (#21738) Add .cmd / Update PowerShell parser
  (#21738) Revert "(#2157) Remove support for executable external facts on Windows"
  Maint: Clear memory facts now that they are loaded earlier
  Maint: Don't output "No facts loaded from" during tests
  Merge branch 'ticket/stable/16668-wmi-ipaddress-facts' into stable
  (#16668) Backport WMI changes to per-interface facts
  (#16668) Ipv6 remove warning
  (#16668) Only consider NICs that have a binding entry
  maint: adding lib to spec path in spec helper
  (#16668) added windows network spec helper
  Maint: Update yardocs
  (#16668) Support IPv6 adapter binding order
  Maint: Simplify how interfaces are enumerated
  (#16665) Remove references to netsh
  (#21518) Use WMI to collect per-interface facts
  (#16668) Use WMI to collect IPv6 address
  (#16668) Use WMI to collect macaddress fact
  (#16668) Use WMI to collect netmask fact
  (#16668) Use WMI to collect IPv4 address
  Maint: Don't load facts twice during specs
  Merge branch 'pull-476' into stable
  (maint) Stub extraneous facts when testing ifconfig
  (refactor) Simplify ipaddress fact specs
  ip address fact that return full ifconfig output
  Merge pull request #480 from melissaanne/maint/stable/re-47_f19-updates
  (Bug #21762) Update facter to support F19
  Merge pull request #490 from haus/remove_createpackage_sh
  (packaging) Remove PackageInfo.plist, it is no longer used by packaging.
  Merge pull request #492 from ferventcoder/maint/stable/ignore_gemfile_local
  (Maint) Ignore Gemfile.local
  (packaging) Remove createpackage.sh from facter
  Merge pull request #477 from haus/maint/stable/packaging_fixes
  (packaging) Update changelog template with currently supported debian/ubuntu dists.
  (maint) Remove openssl dependencies from debian/control file
  (maint) Clean up install.rb dependencies
  Merge pull request #470 from joshcooper/ticket/stable/21533-facter-stderr
  Merge pull request #475 from jpartlow/maint/stable/virtual_and_facter_spec_order_fix
  Merge branch 'pull-468' into stable
  (#21533) Convert network data to string before access
  (maint) Update README with a little bit of spec info.
  (maint) Rakefile loads all the libraries it can.
  (maint) Fix mocha expectations crashing facter_spec
* Sun Aug  4 2013 boris@steki.net
- updated to latest upstream 1.7.2
- Bugfixes:
  - Invalid byte sequence message for virtual fact on Solaris 10 x86_64
  - Linux ipaddress not captured according to documentation
  - Network facts not working on Archlinux with net-tools 1.60
  - Refactor the virtual fact
  - Invalid byte sequence message for virtual fact on Linux
  - Domain facter print spurious warnings to stderr
  - Facter::Util::Resolution::exec should be more descriptive
  - when complaining about shell built-ins
* Sun May 19 2013 boris@steki.net
- added on_flush DSL method
  usable when defining new custom facts. This feature is designed
  for those users who are implementing their own custom facts.
- added External Facts
  It's now possible to create external facts with structured text
  (e.g. YAML, JSON, or a Facter-specific plaintext format)
* Wed Mar 27 2013 boris@steki.net
- updatet to latest upstream version 1.6.18
- bugfixes:
  * Unify ifconfig usage and lookup ifconfig path to fix
    support for recent net-tools
  * Add missing require for macaddress
  * Call correct function on IP in NetMask
  * * more information at
    http://projects.puppetlabs.com/projects/facter/wiki#Facter-1618
* Sat Jan  5 2013 boris@steki.net
- updated to latest upstream version 1.6.17
  * Use enum_cpuinfo for x86 archUse enum_cpuinfo for x86 arch
  * ifconfig regex will optionally match 'addr:'
  * Fix ec2_userdata: 404 Not Found Error
  * Fix handling of bonded Linux interfaces
  * * read more here http://projects.puppetlabs.com/projects/facter/wiki
* Sat Nov  3 2012 aboe76@gmail.com
- Updated to latest upstream 1.6.14
  * maintenance release in the 1.6.x branch with bug fixes.
- Updated the man 1 page changed year
* Fri Oct 19 2012 jatan@suse.com
- Updated to latest upstream 1.6.13
  * Mostly bugfixes
* Wed Aug  8 2012 boris@steki.net
- Updated to latest upstream 1.6.11
  * Add build-requires of ruby-rdoc for manpage generation
  * Selinux: Test for policyvers before reading it
  * Return only one selinuxfs path as string from mounts
  * Update version nos to match Facter development
  * Modify facter spec to work with Ruby 1.9
* Tue Jul  3 2012 jatan@suse.de
- Copy package from devel:openSUSE:Factory
* Thu Jun 14 2012 boris@steki.net
- updated to upstream 1.6.10
  * Wrap dmidecode/pciutils in ifarch block
  * Change count to length for compatibility
  * Macaddress spec test needed operatingsystem fact
  * a lot of bugfixes read /usr/share/doc/packages/facter/CHANGELOG
    for more information
* Wed Jun 13 2012 coolo@suse.com
- no need for vendor-specific
- use original tar (pretty outdated though)
* Wed Jun 29 2011 boris@steki.net
- update to 1.6.0
  * Moved to Apache 2.0 license
  * bugfixes
* Tue Sep  7 2010 anicka@suse.cz
- update to 1.5.8
  * Adding HP-UX support to Facter's IP facts
  * Added support for Slackware in operatingsystem and
  operatingsystemrelease
  * Add kvm support to virtual fact
  * Only ignore IPs starting with 127.
  * bugfixes
* Thu Mar  4 2010 anicka@suse.cz
- update to 1.5.7
  * Clarify licensing as GPLv2 (or any later version)
  * bugfixes
* Mon Feb 23 2009 anicka@suse.cz
- update to 1.5.4
  * Added support for Oracle VM Server to operatingsystem
  * and operatingsystemrelease
  * Added support for Oracle Enterprise Linux to operatingsystem
  * and operatingsystemrelease
  * Added network fact
  * Added uptime facts
  * Added ci namespace and Rake tasks
  * Added Ubuntu to a variety of confines
  * bugfixes
* Tue Sep  9 2008 anicka@suse.cz
- update to 1.5.2
  * Added a Process.waitall thread when there's a timeout,
  to avoid zombies.
  * Set the timeout the host-based and resolve-based resolutions
  to 2.
  * Adding a rake task for creating an archive.
  * Adding better SuSE detection for both operatingsystem and
  release.
  * Add sample test and strawman solution for IP parsing code
  * Add module level tests for Facter::IPAddress
- bugfixes, new facts added
* Mon Sep  1 2008 anicka@suse.cz
- package created (version 1.3.8)
